# Exceptions

Kitchen has a hierarchy of exceptions that should make it easy to catch many errors emitted by kitchen itself.

## Base kitchen exceptions

Exception classes for kitchen and the root of the exception hierarchy for all kitchen modules.

exception kitchen.exceptions.KitchenError

  Base exception class for any error thrown directly by kitchen.

## Kitchen.text exceptions

Exception classes thrown by kitchen’s text processing routines.

exception kitchen.text.exceptions.ControlCharError

  Exception thrown when an ascii control character is encountered.

exception kitchen.text.exceptions.XmlEncodeError

  Exception thrown by error conditions when encoding an xml string.